//
//  ViewController.m
//  YSBubbleControl
//
//  Created by yaoshuai on 2017/1/13.
//  Copyright © 2017年 ys. All rights reserved.
//

#import "ViewController.h"
#import "YSBubbleControl.h"

@interface ViewController ()

@property(weak, nonatomic) YSBubbleControl *cuteView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    YSBubbleControl *cuteView = [[YSBubbleControl alloc] initWithFrame:CGRectMake(100, 200, 30, 30) andSuperView:self.view andFillColor:[UIColor redColor]];
    _cuteView = cuteView;
    cuteView.messageCount = 0;
    [cuteView addTarget:self action:@selector(clearMessageCount) forControlEvents:UIControlEventTouchDragExit];
}

/**
 清除消息
 */
- (void)clearMessageCount {
    NSLog(@"消息数量为0，清除消息");
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event{
    _cuteView.messageCount += 1;
    NSLog(@"消息数量加1，为%zd，显示消息",_cuteView.messageCount);
}

@end
